//
// Copyright (C) 2006, NinjaTrader LLC <ninjatrader@ninjatrader.com>.
// NinjaTrader reserves the right to modify or overwrite this NinjaScript component with each release.
//

#region Using declarations
using System;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Xml.Serialization;
using NinjaTrader.Data;
using NinjaTrader.Gui.Chart;
#endregion

#region NinjaScript generated code. Neither change nor remove.
// This namespace holds all indicators and is required. Do not change it.
namespace NinjaTrader.Indicator
{
    public partial class Indicator : IndicatorBase
    {
        private MQTsma15min[] cacheMQTsma15min = null;
        private MQTsma200dia_0_23[] cacheMQTsma200dia_0_23 = null;
        private MQTsma200dia_8_22[] cacheMQTsma200dia_8_22 = null;
        private MQTsma30dia_0_23[] cacheMQTsma30dia_0_23 = null;
        private MQTsma30dia_8_22[] cacheMQTsma30dia_8_22 = null;
        private MQTsma30min[] cacheMQTsma30min = null;
        private MQTsma5min[] cacheMQTsma5min = null;
        private MQTsma60min[] cacheMQTsma60min = null;

        private static MQTsma15min checkMQTsma15min = new MQTsma15min();
        private static MQTsma200dia_0_23 checkMQTsma200dia_0_23 = new MQTsma200dia_0_23();
        private static MQTsma200dia_8_22 checkMQTsma200dia_8_22 = new MQTsma200dia_8_22();
        private static MQTsma30dia_0_23 checkMQTsma30dia_0_23 = new MQTsma30dia_0_23();
        private static MQTsma30dia_8_22 checkMQTsma30dia_8_22 = new MQTsma30dia_8_22();
        private static MQTsma30min checkMQTsma30min = new MQTsma30min();
        private static MQTsma5min checkMQTsma5min = new MQTsma5min();
        private static MQTsma60min checkMQTsma60min = new MQTsma60min();

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 15 minutes.
        /// </summary>
        /// <returns></returns>
        public MQTsma15min MQTsma15min()
        {
            return MQTsma15min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 15 minutes.
        /// </summary>
        /// <returns></returns>
        public MQTsma15min MQTsma15min(Data.IDataSeries input)
        {
            if (cacheMQTsma15min != null)
                for (int idx = 0; idx < cacheMQTsma15min.Length; idx++)
                    if (cacheMQTsma15min[idx].EqualsInput(input))
                        return cacheMQTsma15min[idx];

            lock (checkMQTsma15min)
            {
                if (cacheMQTsma15min != null)
                    for (int idx = 0; idx < cacheMQTsma15min.Length; idx++)
                        if (cacheMQTsma15min[idx].EqualsInput(input))
                            return cacheMQTsma15min[idx];

                MQTsma15min indicator = new MQTsma15min();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                Indicators.Add(indicator);
                indicator.SetUp();

                MQTsma15min[] tmp = new MQTsma15min[cacheMQTsma15min == null ? 1 : cacheMQTsma15min.Length + 1];
                if (cacheMQTsma15min != null)
                    cacheMQTsma15min.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheMQTsma15min = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        public MQTsma200dia_0_23 MQTsma200dia_0_23()
        {
            return MQTsma200dia_0_23(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        public MQTsma200dia_0_23 MQTsma200dia_0_23(Data.IDataSeries input)
        {
            if (cacheMQTsma200dia_0_23 != null)
                for (int idx = 0; idx < cacheMQTsma200dia_0_23.Length; idx++)
                    if (cacheMQTsma200dia_0_23[idx].EqualsInput(input))
                        return cacheMQTsma200dia_0_23[idx];

            lock (checkMQTsma200dia_0_23)
            {
                if (cacheMQTsma200dia_0_23 != null)
                    for (int idx = 0; idx < cacheMQTsma200dia_0_23.Length; idx++)
                        if (cacheMQTsma200dia_0_23[idx].EqualsInput(input))
                            return cacheMQTsma200dia_0_23[idx];

                MQTsma200dia_0_23 indicator = new MQTsma200dia_0_23();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                Indicators.Add(indicator);
                indicator.SetUp();

                MQTsma200dia_0_23[] tmp = new MQTsma200dia_0_23[cacheMQTsma200dia_0_23 == null ? 1 : cacheMQTsma200dia_0_23.Length + 1];
                if (cacheMQTsma200dia_0_23 != null)
                    cacheMQTsma200dia_0_23.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheMQTsma200dia_0_23 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        public MQTsma200dia_8_22 MQTsma200dia_8_22()
        {
            return MQTsma200dia_8_22(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        public MQTsma200dia_8_22 MQTsma200dia_8_22(Data.IDataSeries input)
        {
            if (cacheMQTsma200dia_8_22 != null)
                for (int idx = 0; idx < cacheMQTsma200dia_8_22.Length; idx++)
                    if (cacheMQTsma200dia_8_22[idx].EqualsInput(input))
                        return cacheMQTsma200dia_8_22[idx];

            lock (checkMQTsma200dia_8_22)
            {
                if (cacheMQTsma200dia_8_22 != null)
                    for (int idx = 0; idx < cacheMQTsma200dia_8_22.Length; idx++)
                        if (cacheMQTsma200dia_8_22[idx].EqualsInput(input))
                            return cacheMQTsma200dia_8_22[idx];

                MQTsma200dia_8_22 indicator = new MQTsma200dia_8_22();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                Indicators.Add(indicator);
                indicator.SetUp();

                MQTsma200dia_8_22[] tmp = new MQTsma200dia_8_22[cacheMQTsma200dia_8_22 == null ? 1 : cacheMQTsma200dia_8_22.Length + 1];
                if (cacheMQTsma200dia_8_22 != null)
                    cacheMQTsma200dia_8_22.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheMQTsma200dia_8_22 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        public MQTsma30dia_0_23 MQTsma30dia_0_23()
        {
            return MQTsma30dia_0_23(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        public MQTsma30dia_0_23 MQTsma30dia_0_23(Data.IDataSeries input)
        {
            if (cacheMQTsma30dia_0_23 != null)
                for (int idx = 0; idx < cacheMQTsma30dia_0_23.Length; idx++)
                    if (cacheMQTsma30dia_0_23[idx].EqualsInput(input))
                        return cacheMQTsma30dia_0_23[idx];

            lock (checkMQTsma30dia_0_23)
            {
                if (cacheMQTsma30dia_0_23 != null)
                    for (int idx = 0; idx < cacheMQTsma30dia_0_23.Length; idx++)
                        if (cacheMQTsma30dia_0_23[idx].EqualsInput(input))
                            return cacheMQTsma30dia_0_23[idx];

                MQTsma30dia_0_23 indicator = new MQTsma30dia_0_23();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                Indicators.Add(indicator);
                indicator.SetUp();

                MQTsma30dia_0_23[] tmp = new MQTsma30dia_0_23[cacheMQTsma30dia_0_23 == null ? 1 : cacheMQTsma30dia_0_23.Length + 1];
                if (cacheMQTsma30dia_0_23 != null)
                    cacheMQTsma30dia_0_23.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheMQTsma30dia_0_23 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        public MQTsma30dia_8_22 MQTsma30dia_8_22()
        {
            return MQTsma30dia_8_22(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        public MQTsma30dia_8_22 MQTsma30dia_8_22(Data.IDataSeries input)
        {
            if (cacheMQTsma30dia_8_22 != null)
                for (int idx = 0; idx < cacheMQTsma30dia_8_22.Length; idx++)
                    if (cacheMQTsma30dia_8_22[idx].EqualsInput(input))
                        return cacheMQTsma30dia_8_22[idx];

            lock (checkMQTsma30dia_8_22)
            {
                if (cacheMQTsma30dia_8_22 != null)
                    for (int idx = 0; idx < cacheMQTsma30dia_8_22.Length; idx++)
                        if (cacheMQTsma30dia_8_22[idx].EqualsInput(input))
                            return cacheMQTsma30dia_8_22[idx];

                MQTsma30dia_8_22 indicator = new MQTsma30dia_8_22();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                Indicators.Add(indicator);
                indicator.SetUp();

                MQTsma30dia_8_22[] tmp = new MQTsma30dia_8_22[cacheMQTsma30dia_8_22 == null ? 1 : cacheMQTsma30dia_8_22.Length + 1];
                if (cacheMQTsma30dia_8_22 != null)
                    cacheMQTsma30dia_8_22.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheMQTsma30dia_8_22 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 30 minutes.
        /// </summary>
        /// <returns></returns>
        public MQTsma30min MQTsma30min()
        {
            return MQTsma30min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 30 minutes.
        /// </summary>
        /// <returns></returns>
        public MQTsma30min MQTsma30min(Data.IDataSeries input)
        {
            if (cacheMQTsma30min != null)
                for (int idx = 0; idx < cacheMQTsma30min.Length; idx++)
                    if (cacheMQTsma30min[idx].EqualsInput(input))
                        return cacheMQTsma30min[idx];

            lock (checkMQTsma30min)
            {
                if (cacheMQTsma30min != null)
                    for (int idx = 0; idx < cacheMQTsma30min.Length; idx++)
                        if (cacheMQTsma30min[idx].EqualsInput(input))
                            return cacheMQTsma30min[idx];

                MQTsma30min indicator = new MQTsma30min();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                Indicators.Add(indicator);
                indicator.SetUp();

                MQTsma30min[] tmp = new MQTsma30min[cacheMQTsma30min == null ? 1 : cacheMQTsma30min.Length + 1];
                if (cacheMQTsma30min != null)
                    cacheMQTsma30min.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheMQTsma30min = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 5 minutes.
        /// </summary>
        /// <returns></returns>
        public MQTsma5min MQTsma5min()
        {
            return MQTsma5min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 5 minutes.
        /// </summary>
        /// <returns></returns>
        public MQTsma5min MQTsma5min(Data.IDataSeries input)
        {
            if (cacheMQTsma5min != null)
                for (int idx = 0; idx < cacheMQTsma5min.Length; idx++)
                    if (cacheMQTsma5min[idx].EqualsInput(input))
                        return cacheMQTsma5min[idx];

            lock (checkMQTsma5min)
            {
                if (cacheMQTsma5min != null)
                    for (int idx = 0; idx < cacheMQTsma5min.Length; idx++)
                        if (cacheMQTsma5min[idx].EqualsInput(input))
                            return cacheMQTsma5min[idx];

                MQTsma5min indicator = new MQTsma5min();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                Indicators.Add(indicator);
                indicator.SetUp();

                MQTsma5min[] tmp = new MQTsma5min[cacheMQTsma5min == null ? 1 : cacheMQTsma5min.Length + 1];
                if (cacheMQTsma5min != null)
                    cacheMQTsma5min.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheMQTsma5min = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 60 minutes.
        /// </summary>
        /// <returns></returns>
        public MQTsma60min MQTsma60min()
        {
            return MQTsma60min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 60 minutes.
        /// </summary>
        /// <returns></returns>
        public MQTsma60min MQTsma60min(Data.IDataSeries input)
        {
            if (cacheMQTsma60min != null)
                for (int idx = 0; idx < cacheMQTsma60min.Length; idx++)
                    if (cacheMQTsma60min[idx].EqualsInput(input))
                        return cacheMQTsma60min[idx];

            lock (checkMQTsma60min)
            {
                if (cacheMQTsma60min != null)
                    for (int idx = 0; idx < cacheMQTsma60min.Length; idx++)
                        if (cacheMQTsma60min[idx].EqualsInput(input))
                            return cacheMQTsma60min[idx];

                MQTsma60min indicator = new MQTsma60min();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                Indicators.Add(indicator);
                indicator.SetUp();

                MQTsma60min[] tmp = new MQTsma60min[cacheMQTsma60min == null ? 1 : cacheMQTsma60min.Length + 1];
                if (cacheMQTsma60min != null)
                    cacheMQTsma60min.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cacheMQTsma60min = tmp;
                return indicator;
            }
        }
    }
}

// This namespace holds all market analyzer column definitions and is required. Do not change it.
namespace NinjaTrader.MarketAnalyzer
{
    public partial class Column : ColumnBase
    {
        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 15 minutes.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma15min MQTsma15min()
        {
            return _indicator.MQTsma15min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 15 minutes.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma15min MQTsma15min(Data.IDataSeries input)
        {
            return _indicator.MQTsma15min(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma200dia_0_23 MQTsma200dia_0_23()
        {
            return _indicator.MQTsma200dia_0_23(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma200dia_0_23 MQTsma200dia_0_23(Data.IDataSeries input)
        {
            return _indicator.MQTsma200dia_0_23(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma200dia_8_22 MQTsma200dia_8_22()
        {
            return _indicator.MQTsma200dia_8_22(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma200dia_8_22 MQTsma200dia_8_22(Data.IDataSeries input)
        {
            return _indicator.MQTsma200dia_8_22(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma30dia_0_23 MQTsma30dia_0_23()
        {
            return _indicator.MQTsma30dia_0_23(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma30dia_0_23 MQTsma30dia_0_23(Data.IDataSeries input)
        {
            return _indicator.MQTsma30dia_0_23(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma30dia_8_22 MQTsma30dia_8_22()
        {
            return _indicator.MQTsma30dia_8_22(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma30dia_8_22 MQTsma30dia_8_22(Data.IDataSeries input)
        {
            return _indicator.MQTsma30dia_8_22(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 30 minutes.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma30min MQTsma30min()
        {
            return _indicator.MQTsma30min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 30 minutes.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma30min MQTsma30min(Data.IDataSeries input)
        {
            return _indicator.MQTsma30min(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 5 minutes.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma5min MQTsma5min()
        {
            return _indicator.MQTsma5min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 5 minutes.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma5min MQTsma5min(Data.IDataSeries input)
        {
            return _indicator.MQTsma5min(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 60 minutes.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma60min MQTsma60min()
        {
            return _indicator.MQTsma60min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 60 minutes.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma60min MQTsma60min(Data.IDataSeries input)
        {
            return _indicator.MQTsma60min(input);
        }
    }
}

// This namespace holds all strategies and is required. Do not change it.
namespace NinjaTrader.Strategy
{
    public partial class Strategy : StrategyBase
    {
        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 15 minutes.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma15min MQTsma15min()
        {
            return _indicator.MQTsma15min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 15 minutes.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma15min MQTsma15min(Data.IDataSeries input)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.MQTsma15min(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma200dia_0_23 MQTsma200dia_0_23()
        {
            return _indicator.MQTsma200dia_0_23(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma200dia_0_23 MQTsma200dia_0_23(Data.IDataSeries input)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.MQTsma200dia_0_23(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma200dia_8_22 MQTsma200dia_8_22()
        {
            return _indicator.MQTsma200dia_8_22(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods daily.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma200dia_8_22 MQTsma200dia_8_22(Data.IDataSeries input)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.MQTsma200dia_8_22(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma30dia_0_23 MQTsma30dia_0_23()
        {
            return _indicator.MQTsma30dia_0_23(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma30dia_0_23 MQTsma30dia_0_23(Data.IDataSeries input)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.MQTsma30dia_0_23(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma30dia_8_22 MQTsma30dia_8_22()
        {
            return _indicator.MQTsma30dia_8_22(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 30 periods daily.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma30dia_8_22 MQTsma30dia_8_22(Data.IDataSeries input)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.MQTsma30dia_8_22(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 30 minutes.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma30min MQTsma30min()
        {
            return _indicator.MQTsma30min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 30 minutes.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma30min MQTsma30min(Data.IDataSeries input)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.MQTsma30min(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 5 minutes.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma5min MQTsma5min()
        {
            return _indicator.MQTsma5min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 5 minutes.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma5min MQTsma5min(Data.IDataSeries input)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.MQTsma5min(input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 60 minutes.
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.MQTsma60min MQTsma60min()
        {
            return _indicator.MQTsma60min(Input);
        }

        /// <summary>
        /// MQT - MasQueTrading - Simple Moving Average (SMA) of 200 periods of 60 minutes.
        /// </summary>
        /// <returns></returns>
        public Indicator.MQTsma60min MQTsma60min(Data.IDataSeries input)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.MQTsma60min(input);
        }
    }
}
#endregion
